Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005886OCamlOCaml runtime systempublic2013-01-12 17:152014-10-18 09:55
Reportervouillon 
Assigned Tomeurer 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.00.1 
Target VersionFixed in Version4.01.0+dev 
Summary0005886: Small changes to compile for Android
DescriptionThe following patch makes it possible to compile the native runtime and the unix library for Android.
TagsNo tags attached.
Attached Filestxt file icon system.txt [^] (1,131 bytes) 2013-01-12 17:15 [Show Content]
txt file icon patch.txt [^] (1,440 bytes) 2013-01-12 19:17 [Show Content]

- Relationships
related to 0006617resolvedgasche Since revision 10c, Android NDK includes proper struct ucontext_t 

-  Notes
(0008743)
meurer (developer)
2013-01-12 18:00

Someone send me a similar patch to get the arm port to work on Android, but I haven't had the time to look into this until now. I was esp. confused by the lack of Unix signals? Which version of the NDK did you use?
(0008744)
vouillon (reporter)
2013-01-12 19:17

I'm using the Android NDK, Revision 8d.

The issue is that the type ucontext_t is not defined (there is no sys/ucontext.h include file). This is planned to be added in the future:
    http://code.google.com/p/android/issues/detail?id=34784 [^]

I have addded a better patch which includes a definition of the type.
(0008746)
meurer (developer)
2013-01-13 14:07

Patch looks good, and seems to work fine. Committed to trunk with revision 13225.

- Issue History
Date Modified Username Field Change
2013-01-12 17:15 vouillon New Issue
2013-01-12 17:15 vouillon File Added: system.txt
2013-01-12 17:54 meurer Assigned To => meurer
2013-01-12 17:54 meurer Status new => assigned
2013-01-12 18:00 meurer Note Added: 0008743
2013-01-12 19:17 vouillon File Added: patch.txt
2013-01-12 19:17 vouillon Note Added: 0008744
2013-01-13 14:07 meurer Note Added: 0008746
2013-01-13 14:07 meurer Status assigned => resolved
2013-01-13 14:07 meurer Fixed in Version => 4.01.0+dev
2013-01-13 14:07 meurer Resolution open => fixed
2014-10-18 09:55 gasche Relationship added related to 0006617


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker